Skip to main content
`Ctrl`+`K`

# PetscWeakFormCopy

Copy the pointwise functions to another `PetscWeakForm`

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscWeakFormCopy(PetscWeakForm wf, PetscWeakForm wfNew)

Not Collective

## Input Parameter

- wf - The original `PetscWeakForm`

## Output Parameter

- wfNew - The copy of the `PetscWeakForm`

## See Also

`PetscWeakForm`, `PetscWeakFormCreate()`, `PetscWeakFormDestroy()`

## Level

intermediate

## Location

src/dm/dt/interface/dtweakform.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages